Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Wed, 23 Jul 2025 14:09:05 +0200

Eli Zaretskii, le mer. 23 juil. 2025 15:01:44 +0300, a ecrit:
> > Date: Wed, 23 Jul 2025 12:59:08 +0200
> > From: Samuel Thibault <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked]
> > 
> > Eli Zaretskii, le mer. 23 juil. 2025 13:50:24 +0300, a ecrit:
> > > > Seb Hinderer, le mar. 22 juil. 2025 18:05:14 +0200, a ecrit:
> > > > > I am not completely sure and would rather let Samuel complete here. What
> > > > > I know isthat libvte is used for several terminals so I expect all of
> > > > > them to  be affected.
> > > > 
> > > > Yes, there is a dozen of those in Debian, at least.
> > > 
> > > Can you name them, please?
> > 
> > The whole set of packages that depend on libvte is:
> 
> Thanks, but I asked only about terminals, because only those are
> relevant to this discussion.  (Actually, we are only interested in
> terminals on which users could run "emacs -nw".)  Can you name only
> those?

Determining the list is useless: there is no way for emacs to determine
what terminal it is in. Applications in the terminal cannot know where
in at-spi the terminal is, and thus the application that runs it.

> > echo 'a\ta'
> 
> I think I already answered that.

No.

As I have repeated myself several times, I still haven't seen an actual
document that describes *exactly* what this is supposed to do.

> > And yes, a lot of terminals just announce themselves as xterm in TERM,
> > that's how it is nowadays. Fighting it is a lost cause nowadays.
> 
> We have lisp/term/xterm.el where we can set the new variable to
> whatever value we decide.

What new variable and what value? I cannot make any sense from this
sentence.

Samuel